Bug 989609 - quasselcore does not listen on ipv4 despite it should
quasselcore does not listen on ipv4 despite it should
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: quassel (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Steven M. Parrish
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-29 12:13 EDT by Michal Hlavinka
Modified: 2015-02-17 11:25 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:25:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Hlavinka 2013-07-29 12:13:53 EDT
Description of problem:
quasselcore should listen on both ipv6 and ipv4:
$ quasselcore --help
...
--listen=[LISTEN]   The address(es) quasselcore will listen on. Default is: ::,0.0.0.0
...

Version-Release number of selected component (if applicable):
quassel-core-0.8.0-2.fc19.x86_64

How reproducible:
always

Steps to Reproduce:
1.start quassel-core
2.nestat -lnp | grep quassel
3.

Actual results:
tcp6       0      0 :::4242                 :::*                    LISTEN      2329/quasselcore

Expected results:
tcp6 :::4242
tcp 0.0.0.0:4242


Additional info:
Comment 1 Rahul Sundaram 2014-01-20 04:37:03 EST
Scratch builds for Rawhide,Fedora 20 and Fedora 19 below

Rawhide
http://koji.fedoraproject.org/koji/taskinfo?taskID=6428649

Fedora 20
http://koji.fedoraproject.org/koji/taskinfo?taskID=6428694

Fedora 19
http://koji.fedoraproject.org/koji/taskinfo?taskID=6428700

I intend to use my provenpackager access to fix this bug.  Thank you for testing
Comment 2 Michal Hlavinka 2014-01-20 05:53:52 EST
still does not work

without --listen=... it listens on tcpv6 only
with --listen=0.0.0.0 it listens on tcpv4 only
with --listen=::,0.0.0.0 it listens on tcpv6 only
Comment 3 Rahul Sundaram 2014-01-20 06:20:30 EST
Not sure how to fix that.  If you have any ideas, let me know.  thanks!
Comment 4 Fedora End Of Life 2015-01-09 14:09:05 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-17 11:25:12 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.